document.addEventListener('DOMContentLoaded', () => {
  // Add smooth scroll behavior
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Add table row hover effects
  const tables = document.querySelectorAll('table');
  tables.forEach(table => {
    const rows = table.getElementsByTagName('tr');
    for (let row of rows) {
      row.addEventListener('mouseenter', () => {
        row.style.transform = 'scale(1.01)';
        row.style.transition = 'transform 0.2s ease';
      });
      row.addEventListener('mouseleave', () => {
        row.style.transform = 'scale(1)';
      });
    }
  });
});
